Security Update: Outdated Browsers and SSLv3

In line with online security best practice, we have stopped supporting version 3 of the Secure Sockets Layer protocol (SSLv3). SSLv3 is an outdated method used to encrypt traffic between a browser and a web site. Police Bank uses Transport Layer Security (TLS) in preference to SSLv3.

By discontinuing support for SSLv3 some Members who are using older browsers such as Internet Explorer 6 which does not support TLS will have issues accessing Internet Banking.

If you are using Internet Explorer 6 (IE6) the Police Bank website might not work as intended. IE6 is now 14 years old, and is unsupported by Microsoft.

IE6 is also unable to withstand simple and unsophisticated security attacks, putting you and your privacy at risk.

While IE browsers 7 or higher will support our website we strongly recommend you update your browser to the latest version of one of the following (which work on all operating systems and are free to download).

Google Chrome | Firefox | Internet Explorer (8 or higher)